Get Status of Recent Withdrawals
curl --request POST \
--url https://gateway.varchev.com/crypto/getWithdrawStatus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"nonce": 243834,
"asset": "ex commodo amet aliqua sunt",
"method": "incididunt aliquip"
}
'import requests
url = "https://gateway.varchev.com/crypto/getWithdrawStatus"
payload = {
"nonce": 243834,
"asset": "ex commodo amet aliqua sunt",
"method": "incididunt aliquip"
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
nonce: 243834,
asset: 'ex commodo amet aliqua sunt',
method: 'incididunt aliquip'
})
};
fetch('https://gateway.varchev.com/crypto/getWithdrawStatus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": [],
"result": [
{
"method": "Bitcoin",
"aclass": "currency",
"asset": "XXBT",
"refid": "AGBZNBO-5P2XSB-RFVF6J",
"info": "mzp6yUVMRxfasyfwzTZjjy38dHqMX7Z3GR",
"amount": "0.72485000",
"fee": "0.00015000",
"time": 1617014586,
"status": "Pending"
},
{
"method": "Bitcoin",
"aclass": "currency",
"asset": "XXBT",
"refid": "AGBSO6T-UFMTTQ-I7KGS6",
"info": "mzp6yUVMRxfasyfwzTZjjy38dHqMX7Z3GR",
"amount": "0.72485000",
"fee": "0.00015000",
"time": 1617015423,
"status": "Failure",
"status-prop": "canceled"
}
]
}Private
Get Status of Recent Withdrawals
Retrieve information about recently requests withdrawals.
POST
/
getWithdrawStatus
Get Status of Recent Withdrawals
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
200 - application/json
OK
The response is of type object.
⌘I

